#ifndef FONT_H
#define FONT_H

#include <qvariant.h>
#include <qdialog.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

#include <klocale.h>
#include <kfontcombo.h>
#include <kcolordialog.h>
#include <kiconloader.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QGroupBox;
class QLabel;
class QPushButton;
class QSpinBox;

class FontDlg : public QDialog
{
    Q_OBJECT

public:
    FontDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~FontDlg();

    QPushButton* pushButton2;
    QPushButton* pushButton1;
    QGroupBox* groupBox1;
    KFontCombo* comboBox3;
    QLabel* textLabel2_4;
    QSpinBox* spinBox5;
    QLabel* textLabel3_2;
    QPushButton* pushButton3;
    QSpinBox* spinBox6;
    QLabel* textLabel4_2;
    QPushButton* pushButton4;
    QLabel* textLabel1_4;
    QComboBox* comboBox2;
    QCheckBox* checkBox2;
    QColor textColor;
    QColor shadow;
    QCheckBox* insCur;

protected:

protected slots:
    virtual void selColor();
    virtual void selShadow();
    virtual void languageChange();
};

#endif // FONT_H
